/*
 *
 * Copyright (C) 1993 by Bogusaw Lichoski
 *
 */

#define PL_INDEX
#include <stdio.h>

#ifndef PL_MAIN
extern char plcode;
extern char helpful[];
#endif

#ifndef __CTYPE_H
#include <ctype.h>
#endif

int plupper (int ch);
int pllower (int ch);

#define _ctype helpful

#undef isascii
#undef TOLOWER
#undef TOUPPER
#define isascii(c)  ((unsigned(c) < 256)
#define TOLOWER(c)  pllower((unsigned char)c)
#define TOUPPER(c)  plupper((unsigned char)c)

/* PlIndex's prototypes */

char *pl2ind (char *stg);
char  cpl2ind (char c);
int   plstrcmp (char *c1, char *c2);
int   plgetc (FILE*);

/* Redefine some macros from mkind.h */

#ifndef PL_MAIN
#undef  GET_CHAR
#undef  STREQ
#undef  STRNEQ
#undef  VERSION
#undef  USAGE
#endif

#define GET_CHAR plgetc
#define VERSION   ">>Polish<< program to sort index version 2.11 [2 I 1994]"
#define USAGE \
   "Usage:\n %s [-ilqrcg] [-s sty] [-o ind] [-t log] [-p num] [-z code] [idx0 idx1 ...]\ncode=mazovia | latin2 | prefixing"
#define STREQ(a,b)  (!plstrcmp((a),(b)))
#define STRNEQ(a,b)  (plstrcmp((a),(b)))
